PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

September 20, 2010 // 6:28 pm - According to PSGroove (linked above) and DJLO at PSX-Scene, F1 2010 is the first PS3 Game to require updating to PlayStation 3 Firmware version 3.42 which blocks both PSJailBreak and the PS3 Proxy Methods.

I was on IRC and the news broke, apparently it requires you to update and if you cancel, it takes you back to the PS3 XMB. The war has just began and Sony made the first move: User 0 vs Sony 1.

For those curious about other PS3 game compatibility with PSJailBreak, PSGroove and PSFreedom be sure to check out the PS3 JailBreak Game Compatibility List and add to it if possible.

To quote: "If you ignore the game's warnings, it throws you back to the XMB. Technically this should just require some editing to the PARAM.SFO's version, in order to get the game to boot on 3.41. However, time will tell."

F1 2010 is the First PS3 Game to Require 3.42 Firmware?

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#4 - rip - September 20, 2010 // 6:42 pm
rip's Avatar
Didn't PSP Games do this as well. I thought all we did was change the version.txt file to show we had that FW version. Correct?

#3 - PS4 News - September 20, 2010 // 6:36 pm
PS4 News's Avatar
Well, if it's legit (assuming it is) there could still be other "unreported" games recently released that also require 3.42 but time will tell for sure.

Either way, they are definitely coming as everyone suspected.

#2 - barbnjason - September 20, 2010 // 6:33 pm
barbnjason's Avatar
This "news" has not been confirmed by any reliable source yet. So please hold off on this is the end of the world post.

#1 - modiste - September 20, 2010 // 6:24 pm
modiste's Avatar
sucks for the average player with no internet connection...